ReferenceAPI
Identity
Resolve the current API credential
Returns the workspace, credential, and delegated user context resolved from the provided public API key.
Authorization
publicApiBearer AuthorizationBearer <token>
Provide a Trendtrack Public API key using Authorization: Bearer <api_key>.
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.trendtrack.io/v1/me"{ "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc", "credential": { "id": "cred_123", "name": "Production key", "description": null, "accessLevel": "full_access", "expiresAt": null, "createdAt": "2026-04-20T07:24:00.246Z", "lastUsedAt": "2026-04-20T07:28:18.681Z" }, "workspace": { "id": "ws_123", "slug": "my-workspace", "name": "My Workspace", "createdAt": "2024-11-12T16:12:43.931Z" }, "delegatedUser": { "id": "usr_123", "fullName": "Jane Doe", "avatarUrl": "https://cdn.example.com/avatar.png", "workspaceRole": "admin" }}{ "error": { "code": "missing_api_key", "message": "Provide an API key using Authorization: Bearer <api_key>.", "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc", "details": { "validationErrors": [ { "field": "query-string.limit", "location": "query-string", "expected": [ "limit must not be greater than 100" ] } ] } }}{ "error": { "code": "missing_api_key", "message": "Provide an API key using Authorization: Bearer <api_key>.", "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc", "details": { "validationErrors": [ { "field": "query-string.limit", "location": "query-string", "expected": [ "limit must not be greater than 100" ] } ] } }}{ "error": { "code": "missing_api_key", "message": "Provide an API key using Authorization: Bearer <api_key>.", "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc", "details": { "validationErrors": [ { "field": "query-string.limit", "location": "query-string", "expected": [ "limit must not be greater than 100" ] } ] } }}{ "error": { "code": "missing_api_key", "message": "Provide an API key using Authorization: Bearer <api_key>.", "requestId": "5d93d8de-0f6d-46a4-bd10-2e519b7e96bc", "details": { "validationErrors": [ { "field": "query-string.limit", "location": "query-string", "expected": [ "limit must not be greater than 100" ] } ] } }}